/**
 * Based on examples in
 *     Head First Object-Oriented Analysis and Design
 *     by Brett D. McLaughlin, Gary Pollice, and David West
 *     O'Reilly, 2007
 *     ISBN 978-0-596-00867-3
 *
 * Ported from Java by
 *     Ronald Mak
 *     Department of Computer Engineering
 *     San Jose State University
 *     San Jose, CA  95192
 */
#ifndef GUITAR_H_
#define GUITAR_H_

#include <string>
#include "Instrument.h"
#include "GuitarSpec.h"

using namespace std;

class Guitar : public Instrument
{
public:
    Guitar(string serial_number, double price, GuitarSpec *spec)
        : Instrument(serial_number, price, spec)
    {}
};

#endif /* GUITAR_H_ */
