#include <string>
#include "InstrumentSpec.h"
#include "Builder.h"
#include "Type.h"
#include "Wood.h"

using namespace std;

bool InstrumentSpec::matches(InstrumentSpec *other_spec)
{
    if (builder != other_spec->builder) return false;
    if (   (model != "")
        && (to_lower(model) != to_lower(other_spec->model))) return false;
    if (type != other_spec->type) return false;
    if (back_wood != other_spec->back_wood) return false;
    if (top_wood != other_spec->top_wood) return false;

    return true;
}
